Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.directtools.DirectGlobals Namespace Reference

## Functions
| LE_showInAllCam (nodePath)
| LE_showInOneCam (nodePath, thisCamName)

## Variables
int | DIRECT_ALT_MOD = 4
int | DIRECT_CONTROL_MOD = 2
float | DIRECT_FLASH_DURATION = 1.5
int | DIRECT_NO_MOD = 0
int | DIRECT_SHIFT_MOD = 1
int | EDIT_TYPE_UNEDITABLE = EDIT_TYPE_UNMOVABLE | EDIT_TYPE_UNSCALABLE | EDIT_TYPE_UNROTATABLE
int | EDIT_TYPE_UNMOVABLE = 1
int | EDIT_TYPE_UNROTATABLE = 4
int | EDIT_TYPE_UNSCALABLE = 2
dict | LE_CAM_MASKS
| LE_FRONT_CAM_MASK = BitMask32.bit(1)
| LE_LEFT_CAM_MASK = BitMask32.bit(2)
| LE_PERSP_CAM_MASK = BitMask32.bit(3)
| LE_TOP_CAM_MASK = BitMask32.bit(0)
float | MANIPULATION_MOVE_DELAY = 0.65
| NEG_X_AXIS = Vec3(-1, 0, 0)
| NEG_Y_AXIS = Vec3(0, -1, 0)
| NEG_Z_AXIS = Vec3(0, 0, -1)
int | Q_EPSILON = 1e-10
int | SKIP_ALL = SKIP_HIDDEN | SKIP_BACKFACE | SKIP_CAMERA | SKIP_UNPICKABLE | SKIP_WIDGET
int | SKIP_BACKFACE = 2
int | SKIP_CAMERA = 4
int | SKIP_HIDDEN = 1
int | SKIP_NONE = 0
int | SKIP_UNPICKABLE = 8
int | SKIP_WIDGET = 16
| UNIT_VEC = Vec3(1)
list | UNPICKABLE
| X_AXIS = Vec3(1, 0, 0)
| Y_AXIS = Vec3(0, 1, 0)
| Z_AXIS = Vec3(0, 0, 1)
| ZERO_POINT = Point3(0)
| ZERO_VEC = Vec3(0)

## Function Documentation

## ◆ LE_showInAllCam()

LE_showInAllCam | ( |  | nodePath | ) |

## ◆ LE_showInOneCam()

LE_showInOneCam | ( |  | nodePath,
|  |  | thisCamName )

## Variable Documentation

## ◆ DIRECT_ALT_MOD

int DIRECT_ALT_MOD = 4

## ◆ DIRECT_CONTROL_MOD

int DIRECT_CONTROL_MOD = 2

## ◆ DIRECT_FLASH_DURATION

float DIRECT_FLASH_DURATION = 1.5

## ◆ DIRECT_NO_MOD

int DIRECT_NO_MOD = 0

## ◆ DIRECT_SHIFT_MOD

int DIRECT_SHIFT_MOD = 1

## ◆ EDIT_TYPE_UNEDITABLE

int EDIT_TYPE_UNEDITABLE = EDIT_TYPE_UNMOVABLE | EDIT_TYPE_UNSCALABLE | EDIT_TYPE_UNROTATABLE

## ◆ EDIT_TYPE_UNMOVABLE

int EDIT_TYPE_UNMOVABLE = 1

## ◆ EDIT_TYPE_UNROTATABLE

int EDIT_TYPE_UNROTATABLE = 4

## ◆ EDIT_TYPE_UNSCALABLE

int EDIT_TYPE_UNSCALABLE = 2

## ◆ LE_CAM_MASKS

dict LE_CAM_MASKS

Initial value:
1= {'persp':LE_PERSP_CAM_MASK,
2 'left':LE_LEFT_CAM_MASK,
3 'front':LE_FRONT_CAM_MASK,
4 'top':LE_TOP_CAM_MASK}

## ◆ LE_FRONT_CAM_MASK

LE_FRONT_CAM_MASK = BitMask32.bit(1)

## ◆ LE_LEFT_CAM_MASK

LE_LEFT_CAM_MASK = BitMask32.bit(2)

## ◆ LE_PERSP_CAM_MASK

LE_PERSP_CAM_MASK = BitMask32.bit(3)

## ◆ LE_TOP_CAM_MASK

LE_TOP_CAM_MASK = BitMask32.bit(0)

## ◆ MANIPULATION_MOVE_DELAY

float MANIPULATION_MOVE_DELAY = 0.65

## ◆ NEG_X_AXIS

NEG_X_AXIS = Vec3(-1, 0, 0)

## ◆ NEG_Y_AXIS

NEG_Y_AXIS = Vec3(0, -1, 0)

## ◆ NEG_Z_AXIS

NEG_Z_AXIS = Vec3(0, 0, -1)

## ◆ Q_EPSILON

int Q_EPSILON = 1e-10

## ◆ SKIP_ALL

int SKIP_ALL = SKIP_HIDDEN | SKIP_BACKFACE | SKIP_CAMERA | SKIP_UNPICKABLE | SKIP_WIDGET

## ◆ SKIP_BACKFACE

int SKIP_BACKFACE = 2

## ◆ SKIP_CAMERA

int SKIP_CAMERA = 4

## ◆ SKIP_HIDDEN

int SKIP_HIDDEN = 1

## ◆ SKIP_NONE

int SKIP_NONE = 0

## ◆ SKIP_UNPICKABLE

int SKIP_UNPICKABLE = 8

## ◆ SKIP_WIDGET

int SKIP_WIDGET = 16

## ◆ UNIT_VEC

UNIT_VEC = Vec3(1)

## ◆ UNPICKABLE

list UNPICKABLE

Initial value:
1= ['x-disc-visible', 'y-disc-visible', 'z-disc-visible',
2 'GridBack', 'unpickable']

## ◆ X_AXIS

X_AXIS = Vec3(1, 0, 0)

## ◆ Y_AXIS

Y_AXIS = Vec3(0, 1, 0)

## ◆ Z_AXIS

Z_AXIS = Vec3(0, 0, 1)

## ◆ ZERO_POINT

ZERO_POINT = Point3(0)

## ◆ ZERO_VEC

ZERO_VEC = Vec3(0)